| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Attributes | List of all members
boost::threadpool::future< Result > Class Template Reference

Experimental. More...

`#include <src/threadpool/boost/threadpool/future.hpp>`

## Public Types
typedef Result const & | result_type
| Indicates the functor's result type. More...
typedef Result | future_result_type
| Indicates the future's result type. More...

## Public Member Functions
| future ()
| future (shared_ptr< detail::future_impl< Result > > const &impl)
bool | ready () const
void | wait () const
bool | timed_wait (boost::xtime const &timestamp) const
result_type | operator() ()
result_type | get ()
bool | cancel ()
bool | is_cancelled () const

## Private Attributes
shared_ptr< detail::future_impl< Result > > | m_impl

## Detailed Description

### template<class Result>
class boost::threadpool::future< Result >

Experimental.

Do not use in production code. TODO.

TODO Future

See also
  TODO

Definition at line 43 of file future.hpp.

## Member Typedef Documentation

template<class Result>

typedef Result boost::threadpool::future< Result >::future_result_type

Indicates the future's result type.

Definition at line 50 of file future.hpp.

template<class Result>

typedef Result const& boost::threadpool::future< Result >::result_type

Indicates the functor's result type.

Definition at line 49 of file future.hpp.

## Constructor & Destructor Documentation

template<class Result>

boost::threadpool::future< Result >::future | ( |  | ) |
| inline

Definition at line 55 of file future.hpp.

56 : m_impl(new detail::future_impl<future_result_type>()) // TODO remove this
57 {
58 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46
template<class Result>

boost::threadpool::future< Result >::future | ( | shared_ptr< detail::future_impl< Result > > const & | impl | ) |
| inline

Definition at line 61 of file future.hpp.

62 : m_impl(impl)
63 {
64 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46

## Member Function Documentation

template<class Result>

bool boost::threadpool::future< Result >::cancel | ( |  | ) |
| inline

Definition at line 91 of file future.hpp.

92 {
93 return m_impl->cancel();
94 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46
template<class Result>

result_type boost::threadpool::future< Result >::get | ( |  | ) |
| inline

Definition at line 86 of file future.hpp.

87 {
88 return (*m_impl)();
89 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46
template<class Result>

bool boost::threadpool::future< Result >::is_cancelled | ( |  | ) | const
| inline

Definition at line 96 of file future.hpp.

97 {
98 return m_impl->is_cancelled();
99 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46
template<class Result>

result_type boost::threadpool::future< Result >::operator() | ( | void |  | ) |
| inline

Definition at line 81 of file future.hpp.

82 {
83 return (*m_impl)();
84 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46
template<class Result>

bool boost::threadpool::future< Result >::ready | ( |  | ) | const
| inline

Definition at line 66 of file future.hpp.

67 {
68 return m_impl->ready();
69 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46
template<class Result>

bool boost::threadpool::future< Result >::timed_wait | ( | boost::xtime const & | timestamp | ) | const
| inline

Definition at line 76 of file future.hpp.

77 {
78 return m_impl->timed_wait(timestamp);
79 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46
template<class Result>

void boost::threadpool::future< Result >::wait | ( |  | ) | const
| inline

Definition at line 71 of file future.hpp.

72 {
73 m_impl->wait();
74 }
boost::threadpool::future::m_impl
shared_ptr< detail::future_impl< Result > > m_impl
Definition: future.hpp:46

## Member Data Documentation

template<class Result>

shared_ptr<detail::future_impl<Result> > boost::threadpool::future< Result >::m_impl
| private

Definition at line 46 of file future.hpp.

The documentation for this class was generated from the following file:

- GaudiMTTools/src/threadpool/boost/threadpool/future.hpp